Subject: IBIS TREE

From: [email-masked] ( Bob Ross)
Date: Thu, 1 May 97 15:17 PDT

Ogawa-san and IBIS community:

I am forwarding part of a private note because it contains a nice
outline of the IBIS keywords in a tree configuration.  This should
be useful when reading IBIS Version 2.1 to understand where the 
keywords fit in.

Best Regards,
Bob Ross
Interconnectix

Date: Thu, 01 May 1997 22:28:24 +0900
From: =?ISO-2022-JP?B?GyRCPi5AbiEhRkY7VhsoQg==?= <[email-masked]>
To: [email-masked]
Subject: Re:IBIS Version 2.1 Terminology Suggestions

Dear Mr. Bob Ross

snip ...
 
In this vacation, I make tree figure of .ibs file. (Show last section.)
I have a plan of IBIS explanation meeting.  I may use this tree at the time.

I know some problems in the tree. One is [Comment char].
IBIS template said "The [Comment char] keyword can be used throughout the 
file, as desired".

But I think that, limitted use makes a few problems.

I can't find a advantage of free use of [Comment char] keyword.
I can find a advantage of free use of comment character(pipe).

Mr. Bob , If you feel some advantege of this tree figure, please use this 
format to the next version.

Best  Regards,
Atsushi  Ogawa at my house

e-mail    [email-masked]  (I can use at my house)

.ibs FILE
---------
  |-- File date section
  |   -----------------
  |     |-- [IBIS Ver]
  |     |-- [Comment char]
  |     |-- [File name]
  |     |-- [File Rev]
  |     |-- [Date]
  |     |-- [Source]
  |     |-- [Notes]
  |     |-- [Disclaimer]
  |     |-- [Copyright]
  |
  |-- [Component]
  |   ----------- 
  |     |-- [Manufacturer]
  |     |-- [Package]
  |     |-- [Pin]
  |     |-- [Package Model]
  |     |-- [Pin Mapping]
  |     |-- [Diff Pin]
  |     |-- [Model]
  |     |   -------
  |     |     |-- [Temperature Range]
  |     |     |-- [Voltage Range]
  |     |     |-- [Pullup Reference]
  |     |     |-- [Pulldown Reference]
  |     |     |-- [POWER Clamp Reference]
  |     |     |-- [GND Clamp Reference]
  |     |     |-- [Pulldown]
  |     |     |-- [Pullup]
  |     |     |-- [GND Clamp]
  |     |     |-- [POWER Clamp]
  |     |     |-- [Rgnd]
  |     |     |-- [Rpower]
  |     |     |-- [Rac]
  |     |     |-- [Cac]
  |     |     |-- [Ramp]
  |     |     |-- [Rising Waveform]
  |     |     |-- [Falling Waveform]
  |     |
  |     |-- [Model]
  |
  |
  |-- [Component]
  |
  |
  |-- [Define Package Model]
  |   ----------------------
  |     |-- [Manufacturer]
  |     |-- [OEM]
  |     |-- [Description]
  |     |-- [Number of Pins]
  |     |-- [Pin Numbers] 
  |     |-- [Model Data]
  |     |   ------------
  |     |     |-- [Resistance Matrix]
  |     |     |   -------------------
  |     |     |     |-- [Bandwidth] 
  |     |     |     |--[Row]
  |     |     |     |--[Row]
  |     |     |     |   ｜
  |     |     |-- [Inductance Matrix]
  |     |     |   -------------------
  |     |     |     |-- [Bandwidth] 
  |     |     |     |--[Row]
  |     |     |     |--[Row]
  |     |     |     |   ｜
  |     |     |-- [Capacitance Matrix] 
  |     |     |   --------------------
  |     |     |     |-- [Bandwidth] 
  |     |     |     |--[Row]
  |     |     |     |--[Row]
  |     |     |     |   ｜
  |     |     |-- [End Model Data]
  |     |-- [End Package Model]
  |
  |-- [Define Package Model]
  |
  |-- [End] 

SHORT TYPE

.ibs FILE
---------
  |-- File date section
  |   -----------------
  |     |-- [IBIS Ver], [Comment char], [File name], [File Rev], [Date]
  |     |-- [Source], [Notes], [Disclaimer], [Copyright]
  |
  |-- [Component]
  |   ----------- 
  |     |-- [Manufacturer], [Package], [Pin], [Package Model], [Pin Mapping]
  |     |-- [Diff Pin]
  |     |-- [Model]
  |     |   -------
  |     |     |-- [Temperature Range], [Voltage Range], [Pullup Reference]
  |     |     |-- [Pulldown Reference], [POWER Clamp Reference]
  |     |     |-- [GND Clamp Reference], [Pulldown], [Pullup], [GND Clamp]
  |     |     |-- [POWER Clamp], [Rgnd], [Rpower], [Rac], [Cac], [Ramp]
  |     |     |-- [Rising Waveform], [Falling Waveform]
  |     |
  |     |-- [Model]
  |
  |
  |-- [Component]
  |
  |
  |-- [Define Package Model]
  |   ----------------------
  |     |-- [Manufacturer], [OEM], [Description], [Number of Pins]
  |     |-- [Pin Numbers] 
  |     |-- [Model Data]
  |     |   ------------
  |     |     |-- [Resistance Matrix]
  |     |     |   -------------------
  |     |     |     |-- [Bandwidth] 
  |     |     |     |--[Row]
  |     |     |     |--[Row]
  |     |     |     |   ｜
  |     |     |-- [Inductance Matrix]
  |     |     |   -------------------
  |     |     |     |-- [Bandwidth] 
  |     |     |     |--[Row]
  |     |     |     |--[Row]
  |     |     |     |   ｜
  |     |     |-- [Capacitance Matrix] 
  |     |     |   --------------------
  |     |     |     |-- [Bandwidth] 
  |     |     |     |--[Row]
  |     |     |     |--[Row]
  |     |     |     |   ｜
  |     |     |-- [End Model Data]
  |     |
  |     |-- [End Package Model]
  |
  |-- [Define Package Model]
  |
  |-- [End] 

Atsushi  Ogawa
Manager
Memory  Engineering  Department
Semiconductor  Solution  Engineering  Division
NEC  Corporation  

e-mail    [email-masked]

p.s. Please correction [Temperature] to [Temperature Range] in 
     "NOTES ON DATA DERIVATION METHOD" section. (2-points)
     I'm sorry. I can't show the line number, because of my house 
     personal computer haven't line number counter program!